[openwrt/openwrt] mac80211: print an error if wifi teardown fails

LEDE Commits lede-commits at lists.infradead.org
Wed Jun 30 10:49:39 PDT 2021


nbd pushed a commit to openwrt/openwrt.git, branch openwrt-21.02:
https://git.openwrt.org/6f13a390355d15bc1ecff59eba769d0189d05083

commit 6f13a390355d15bc1ecff59eba769d0189d05083
Author: Bob Cantor <coxede6557 at w3boats.com>
AuthorDate: Fri Jun 25 04:14:47 2021 +1000

    mac80211: print an error if wifi teardown fails
    
    drv_mac80211_teardown fails silently if the device to be torn down is
    not defined.  This commit prints an error message.
    
    branches affected: trunk, 21.02
    
    Signed-off-by: Bob Cantor <coxede6557 at w3boats.com>
    (cherry-picked from commit 3933e29d1b87c713167cf4730b68e5f18af4f140)
---
 package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh b/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh
index e3b26b287c..9a9c35fb5f 100644
--- a/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh
+++ b/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh
@@ -1076,6 +1076,10 @@ drv_mac80211_teardown() {
 	json_select data
 	json_get_vars phy
 	json_select ..
+	[ -n "$phy" ] || {
+		echo "Bug: PHY is undefined for device '$1'"
+		return 1
+	}
 
 	mac80211_interface_cleanup "$phy"
 	uci -q -P /var/state revert wireless._${phy}



More information about the lede-commits mailing list